{"id":"CVE-2026-120640","published":"2026-11-04T00:17:25.390","lastModified":"2026-11-04T00:17:25.390","description":"CGI versions before 5.00 for Perl allow the POSTDATA, PUTDATA, PATCHDATA and XForms:Model parameters to be set from the query string or form fields.\n\nCGI stores a non-form request body under POSTDATA, PUTDATA or PATCHDATA, and an XForms body under XForms:Model, but also accepts these names from the query string, a form field or a multipart part, so an application cannot tell a client-sent value from the real body.\n\nA cross-site HTML form can post POSTDATA={\"admin\":true} to an endpoint that reads JSON from param('POSTDATA'), a request forgery that needs no CORS preflight.","cvssScore":null,"cvssSeverity":null,"cvssVector":null,"cwes":["CWE-352"],"vendors":[],"products":[],"references":[{"url":"https://github.com/leejo/CGI.pm/commit/bc4022f553301014e522133ba1e1f4e49e3bef08.patch","tags":[]},{"url":"https://metacpan.org/release/LEEJO/CGI-4.72/source/lib/CGI.pm","tags":[]},{"url":"https://metacpan.org/release/LEEJO/CGI-5.00/changes","tags":[]}],"exploitRefs":[{"url":"https://github.com/leejo/CGI.pm/commit/bc4022f553301014e522133ba1e1f4e49e3bef08.patch","tags":[]}],"hasPoc":true,"ai":null}